import java.awt.*;


class CalculatorControlPanel extends Frame
	{
	
	CalculatorControlPanel( CalculatorEngine ce )
		{
		setResizable( false );
		setTitle("Calculator");
		setFont( new Font( "Helvetica", Font.BOLD, 14 ) );
		setLayout( new BorderLayout( 4, 4 ) );
		
		add( "North", new CalculatorDisplay( ce ) );
		
		add( "West", new Label( "" ) );
		add( "East", new Label( "" ) );
		
    	add( "Center", new CalculatorKeypad( ce ) );
    		
    	pack();
		}
		
	public void handleEvent( java.awt.AWTEvent event )
		{
        if (event.getID() == Event.WINDOW_DESTROY)
 			{
           	dispose();
   			};
   			super.processEvent(event);
   		}
	}