import java.awt.*;
import java.util.Observable;
import java.util.Observer;


class CalculatorDisplay extends Label implements Observer
	{
	
	CalculatorDisplay( CalculatorEngine ce)
		{
		super( "0", RIGHT );
		setBackground( Color.white );
		setForeground( Color.black );
		ce.addObserver( this );
		}
	
	public void update( Observable o, Object aDouble )
		{
		this.setText( aDouble.toString() );
		}
	
	}
